-- version and date - make sure you set: svn:keywords Date Rev
local revision = tonumber(("$Revision: 46519 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2007-08-14 07:58:04 -0400 (Tue, 14 Aug 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

-- create the class
local AceOO = AceLibrary("AceOO-2.0")
Addon = AceOO.Class(ShakedownAddonBase)

-- members
Addon.prototype.stringMember = ""
Addon.prototype.intMember = 1

-- constructor
function Addon.prototype:init()
    Addon.super.prototype.init(self, "Parrot", "Parrot")
end

function Addon.prototype:Activate()

    if not Addon.super.prototype.Activate(self) then return end
    
    Parrot:SetConfigMode(true)
end

function Addon.prototype:Deactivate()

    Addon.super.prototype.Deactivate(self)

    Parrot:SetConfigMode(false)
end

-- create the instance of this class; parent's constructor will handle registration with the main shakedown code
local thisAddon = Addon:new()